//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0d1 $

//========================================================================
#ifndef SELECTION_H
#include "Selection.h"		// CGraphics3DSelection
#endif

#ifndef PART_H
#include "Part.h"		// CGraphics3DPart
#endif

#ifndef FRAME_H
#include "Frame.h"		// CGraphics3DFrame
#endif

#ifndef CONTENT_H
#include "Content.h"
#endif

// ----- Part Layer -----
#ifndef FWUTIL_H
#include "FWUtil.h"
#endif

#ifndef FWITERS_H
#include "FWIters.h"
#endif

#ifndef FWPRESEN_H
#include "FWPresen.h"
#endif

// ----- Foundation Layer -----
#ifndef FWSUSINK_H
#include "FWSUSink.h"
#endif

#ifndef FWSTREAM_H
#include "FWStream.h"
#endif

// ----- OpenDoc Includes -----
#ifndef SOM_Module_OpenDoc_StdProps_defined
#include <StdProps.xh>
#endif

#ifndef SOM_ODShape_xh
#include <Shape.xh>
#endif

//========================================================================
#ifdef FW_BUILD_MAC
#pragma segment graphics3d
#endif

FW_DEFINE_AUTO(CGraphics3DSelection)

//========================================================================
CGraphics3DSelection::CGraphics3DSelection(Environment* ev, CGraphics3DContent* content)
  :	FW_CSelection(ev, false, false),
	fGraphics3DContent(content)
{
}

//-------------------------------------------------------------------------
CGraphics3DSelection::~CGraphics3DSelection()
{	
}

//-------------------------------------------------------------------------
void 
CGraphics3DSelection::CloseSelection(Environment* ev)
{
}

//-------------------------------------------------------------------------
void 
CGraphics3DSelection::ClearSelection(Environment* ev)
{
}

//-------------------------------------------------------------------------
void 
CGraphics3DSelection::SelectAll(Environment* ev)
{
}

//-------------------------------------------------------------------------
FW_Boolean 
CGraphics3DSelection::IsEmpty(Environment* ev) const
{
	return TRUE;			// no data to copy
}

//-------------------------------------------------------------------------
FW_CContent* 
CGraphics3DSelection::GetSelectedContent(Environment* ev)
{
	return fGraphics3DContent;
}
